Cancel a Payout
Cancel a Payout by Id.
To perform this operation, the Payout must be in the PENDING status; if the activity SETTLE_INCOMING_TRANSFER exists, it must be in the PENDING status and the status_code must not be CANCELED. Otherwise, the operation will fail.
- Production
- Sandbox
PATCH/v1/payouts/{payout_id}/cancel
curl -X PATCH 'https://api.minteo.finance/v1/payouts/{payout_id}/cancel' \-H 'Authorization: Bearer <your-api-key>'PATCH/v1/payouts/{payout_id}/cancel
curl -X PATCH 'https://api.sandbox.minteo.finance/v1/payouts/{payout_id}/cancel' \-H 'Authorization: Bearer <your-api-key>'RESPONSE
{ "output": { "id": "84203386-d88a-92cb-b5fe-61c328euffhueif49", "msg": "Process to cancel the payout has been started" }, "code": "OK"}Endpoint
PATCH
/v1/payouts/{payout_id}/cancelScope
payouts:cancel
Request
Path Parameters
idstringId of the payout to cancel
Request Body
An empty body or an empty JSON object ({}) is required. Either is accepted.
{}
Response
outputobjectObject containing the payout id and a confirmation msg.
codestringThe response status code text.